FROM node:16.13.2-alpine3.14

RUN mkdir -p /home/node/app/node_modules && chown -R node:node /home/node/app
WORKDIR /home/node/app

COPY --chown=node:node . .

USER node

EXPOSE 9889/tcp

CMD [ "node", "." ]